<?php

namespace app\admin\controller\life;

use app\admin\validate\life\FarmPackageValidate;
use app\controller\Curd;
use app\model\FarmPackage;
use support\Request;
use support\Response;

class FarmPackageController extends Curd
{
    public function __construct()
    {
        $this->model = new FarmPackage();
        $this->validate = true;
        $this->validateClass = new FarmPackageValidate();
    }

    /**
     * @Desc 列表
     * @Author Gorden
     * @Date 2024/2/28 13:06
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $order = $request->get('order', 'desc');
        $field = $field ?? 'package_addTime';
        $where['package_is_del'] = 0;
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }

    /**
     * @Desc 软删除
     * @Author Gorden
     * @Date 2024/2/28 13:07
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function delete(Request $request): Response
    {
        $ids = $this->deleteInput($request);
        $this->doSoftDelete($ids, ['package_is_del' => 1]);

        return json_success('success');
    }
}